
function MenuListItem() {

	this.DisableData = false;
	
	//this.DisableTextStyle	= null;

    ListItem.call(this);
}


MenuListItem.prototype = new ListItem(); 

MenuListItem.prototype.Disable = function(){
	this.DisableData = true;
	//2013 add by minseok
	if(this.InputData[0]==" "){
		$("#"+this.BGLayerObj).css('display','none');
	}
	if(this.flag_ClickEvent == true)
	{
		this.ResetClickEvent();	
	}
}

MenuListItem.prototype.Enable = function(){
	this.DisableData = false;
	$("#"+this.BGLayerObj).css('display','block');
	this.LayerArray[this.TextLayerIndex].SetStyle(this.TextStyle[ITEM_STATE.NORMAL]);

	if(this.flag_ClickEvent == true)
	{
		this.SetClickEvent();	
	}	
	
}

MenuListItem.prototype.FlagDisable = function(){
	return this.DisableData;
}

MenuListItem.prototype.SetDisableTextStyle = function(Style){
    	
	alert("MenuListItem.SetDisableTextStyle()");
	this.LayerArray[this.TextLayerIndex].SetStyle(Style);	    
}

MenuListItem.prototype.Normal = function() {
	
	alert("MenuListItem.Normal()");
    this.State = ITEM_STATE.NORMAL;
	
	if(this.DisableData == false){
		this.ChangeBG();
		this.ChangeItem();	
	}

}